Debian Bug report logs - #321647
RM: tutos -- outdated, security, buggy and replaced by tutos2

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Micah Anderson <micah@riseup.net>

Date: Sat, 6 Aug 2005 17:03:06 UTC

Severity: normal

Tags: moreinfo

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, dfontaine@cvf.fr, igenibel@debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#321647; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Micah Anderson <micah@riseup.net>:
New Bug report received and forwarded. Copy sent to dfontaine@cvf.fr, igenibel@debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Micah Anderson <micah@riseup.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RM: tutos -- outdated, security, buggy and replaced by tutos2
Date: Sat, 06 Aug 2005 11:59:49 -0500
Package: ftp.debian.org
Severity: normal
Tags: moreinfo

Hello,

It seems like the tutos package should be removed from the archive. It
hasn't been updated since 2003, it has multiple security problems that
can only be addressed by an update to the package to a newer release,
it has bugs that are 2 years old that read "install doesn't work", and
removal doesn't properly remove installed documentation (1 year old),
dependency problems (340 days old), even minor bugs such as spelling
errors and i10n .po files have been uploaded and not added for 1 year
and 183 days. Requests for updating have gone unanswered by the
maintainers.

However, the package tutos2 (the CVS branch) seems to be maintained by
the same maintainers.

Can the maintainers comment on what they would like to see happen to
this package?

Micah


-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (990, 'testing'), (300, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.8-2-k7
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)



Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#321647; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Dimitri Fontaine <dfontaine@cvf.fr>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #10 received at 321647@bugs.debian.org (full text, mbox):

From: Dimitri Fontaine <dfontaine@cvf.fr>
To: Micah Anderson <micah@riseup.net>, 321647@bugs.debian.org
Subject: Re: Bug#321647: RM: tutos -- outdated, security, buggy and replaced by tutos2
Date: Mon, 29 Aug 2005 17:03:03 +0200
Le Samedi 6 Août 2005 18:59, Micah Anderson a écrit :
> Package: ftp.debian.org
> Severity: normal
> Tags: moreinfo
>
> Hello,

Hi all,

> It seems like the tutos package should be removed from the archive.

In fact i'm still declared as this package maintainer, but don't work at all 
on it from a long time, as stated.

So I may orphan the package, or you may remove it, as you want, but please 
consider tutos2 is a pre-release snapshot of next tutos release. So one day, 
when we merge tutos2 back in main branch, we will fall back to maintaining 
one TUTOS version.

This is the plan. In effect, this could take a long time.

> However, the package tutos2 (the CVS branch) seems to be maintained by
> the same maintainers.

I'm working on TUTOS 2, used here in production by about 50 users, and in 
order to try to make TUTOS 2 more visible, I made the debian package.

> Can the maintainers comment on what they would like to see happen to
> this package?

I'd like to maintain this tutos2 package, and won't be able to consider the 
old tutos one. It would be great to find someone to take care of this package 
though.
I've tried to find some new debian maintainer (upon their request) by the 
past, helping as I could, but this seems to not have been successfull.

Regards,
-- 
Dimitri.
http://dim.tapoueh.org

We all know Linux is great...it does infinite loops in 5 seconds.
	-- Linus Torvalds



Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Micah Anderson <micah@riseup.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 321647-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 321647-close@bugs.debian.org
Cc: tutos@packages.debian.org, tutos@packages.qa.debian.org
Subject: Bug#321647: fixed
Date: Mon, 12 Sep 2005 15:19:57 -0700
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

     tutos | 1.1.20031017-2.1 | source, all

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 321647@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Jeroen van Wolffelaar (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 06:04:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 18:34:56 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.